char level = 0; //    
char counter = 0; //    
//------------------------------------------------------------------------------
//    INT0
//------------------------------------------------------------------------------
void interrupt_ISR() org IVT_ADDR_INT0{
    //   MCUCR,  ISC00
    if (ISC00_bit == 1) //   INT0    (  )
    {
       TCNT1H = 0; //       1
       TCNT1L = 0; //       1
       //  CLKio/64, ..     125 (8)
       TCCR1B = 0x03; //   1 (   )
    }
    else //      (  )
    {
       TCCR1B = 0x00; //   1 (   )
       level = (TCNT1L - 0x7D)*2; //    
       //     0x7D   1
       //     0xFA   2
       //    ,    125  250
       //     0  250,  125     2
    }
    ISC00_bit = ~ISC00_bit; //    (/)
}
//------------------------------------------------------------------------------
//       TMR0 (  )
//------------------------------------------------------------------------------
void timer0_overflow_ISR() org IVT_ADDR_TIMER0_OVF 
{
    asm cli; //  

    //   
    if ( ++counter == 0 && level > 4) //       +    
    {
        //  
        PORTC = 0xFF; //       1
    }
    if (counter == level) //       
    {
        //  
        PORTC = 0x00; //     0
    }

    asm sei; //   
}
//------------------------------------------------------------------------------
// MAIN
//------------------------------------------------------------------------------
void main() 
{
    //   C  
    DDRC =  0b11111111; //     
    PORTC = 0b00000000; //  

    //   B  
    DDRB =  0b11111111; //     
    PORTB = 0b00000000; //  

    //   0 ( )
    TOIE0_bit = 1; //   0  
    
    TCCR0 = 0x01;  //  Timer0 ( ,     8)
    TCNT0 = 0;     //   

    //   1 (  )
    TOIE1_bit = 1; //   1  
    TCCR1A = 0x00; //  Timer1
    TCCR1B = 0x00; //  Timer1
    TCNT1H = 0;    //      1
    TCNT1L = 0;    //      1

    //   
    ISC00_bit = 1; //      
    INT0_bit = 1;  //    INT0

    asm sei; //   

    while(1) //  
    {
        //   
        //   B  1, ..   
        if (level > 125) PORTB = 0xFF; //      1.5
        //  
        else PORTB = 0x00; //    1.5,    0
    }
}